/*General style rules*/
*{
    padding: 0px;
    margin:0;
    border:0;
}

h2,h3,h4,h5,h6{
    font-family: 'Sedgwick Ave', cursive;
    color:white;
}

#index-page{
    background-color:rgba(0, 0, 0, 1);
    color:white;
    justify-content: center;
}

/*Side bar*/
.sidebar {
    height: 30%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background:url('../images/small-logo.jpg') center center;
    background-size:cover;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
    color:white;
   }
  
  .sidebar a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: white;
    display: block;
    transition: 0.3s;
    background-color:rgba(0, 0, 0, 0.6);
    font-family: 'Sedgwick Ave', cursive;
  }
  
  .sidebar a:hover {
    color: rgb(10, 209, 10);
  }
  
  .sidebar .closebtn {
    position: absolute;
    top: 0;
    right: 210px;
    font-size: 36px;
    margin-left: 50px;
}
  
  .openbtn {
    font-size: 20px;
    cursor: pointer;
    border-radius:50%;
    color: white;
    padding: 10px 15px;
    border: none;
    position:fixed;
    top:5px;
    left:5px;
    box-shadow: 0 0 6px 6px rgb(10, 209, 10);
    background-color:black;
}
  
  .openbtn:hover {
    background-color: rgb(10, 209, 10);
  }
  
  #back-to-top-button {
    transition: margin-left .5s;
    padding: 16px;
  }
  

  /*Banner style*/
#banner{
    width:100%;
    height:200px;
    background: rgba(0, 0, 0, 1);
    text-align:center;
}

#logo-container{
    width: 200px;
    height: 200px;
    float:left;
    background:url('../images/small-logo.jpg');
    z-index: 5;
}

#banner-image{
    background:url('../images/neondemonheadersmall.jpg') left center no-repeat;
    height: 200px;
    width: 80%;
    float: left;
    margin-top: 10px;
    margin-left: 50px;
}

/*Navigation Bar*/
#nav-container{
    width:100%;
    height: 50px;
    background-color:black;
    text-align: center;
    overflow: hidden;
}

.link{
   width:20%;
   height: 50px;
   float: left;
   box-sizing: border-box;
   text-align:center;
   font-size: 27px;
   padding: 5px 0;
}

.link a:link{
    text-decoration:none;
    color:white;
}

.link a:active{
    text-decoration:none;
}
.link a:visited{
    text-decoration:none;
    color:white;
}

.link a:hover{
    color:rgb(10, 209, 10);
}

.link h3:hover{
    color:rgb(10, 209, 10);
}

.link .active{
    color:rgb(10, 209, 10);
}

/*hero image section*/
#hero-image{
    background:url(../images/neon-horizontal.jpg) top center no-repeat;
    background-size:100%;
    width: 100%;
    height:600px;
    text-align:center;
    box-shadow:0 0 6px 6px rgb(10, 209, 10);
    margin-top: 11px;
}

#hero-contact a:link{
    text-decoration:none;
    color:white;
}

#hero-contact a:visited{
    text-decoration:none;
    color:white;
}

#hero-contact a:hover{
    color:rgb(10, 209, 10);
}

#hero-contact ul{
    list-style-type: none;
}

/*about-us section*/
#about-us-container{
    width:100%;
    height:auto;
    text-align:center;
    background-color:rgba(0, 0, 0, 1);
    box-shadow: 0 0 6px 6px rgb(10, 209, 10);
}

.about-us{
    width: 33%;
    height: auto;
    display:inline-block;
    overflow:hidden;
    background-color:rgba(0, 0, 0, 1);
    color:white;
    font-size:200%;
    margin-top:5px;
    padding-bottom: 10px;
}

#about-us-left p{
    font-size: 70%;
}

#about-us-center video{
    width:100%;
    height:100%;
}


#about-us-right p{
    font-size:70%;
}

#about-us-right a{
    padding: 15px;
}

#about-us-right ul{
    list-style-type: none;
    margin:0 auto;
}

#about-us-right li{
    display:inline;
    font-size: 45px;
}

#about-us-right a:link{
    text-decoration:none;
    color:white;
}

#about-us-right a:visited{
    text-decoration:none;
    color:white;
}

#about-us-right a:hover{
    text-decoration:none;
    color:rgb(10, 209, 10);
}

/*artist section*/
#artist-container{
    width: 100%;
    height: auto;
    background:url('../images/smokebodybg.png') center center no-repeat;
    background-size:cover;
    box-shadow: 0 0 6px 6px rgb(10, 209, 10);
    overflow:hidden;
    padding-bottom: 20px;
    text-align:center;
}

#artist-container h2{
    font-size:250%;
    margin-top: 20px;
    margin-bottom: 10px;
}

#artist-box{
    float:left;
    margin:0 30px;
}

/*tarot card animation*/
.flip-card {
    background-color: transparent;
    width: 300px;
    height: 600px;
    perspective: 1000px;
}
  
.flip-card-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.8s;
    transform-style: preserve-3d;
}
  
  
.flip-card:hover .flip-card-inner {
    transform: rotateY(180deg);
}
  
 
.flip-card-front, .flip-card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden; 
    backface-visibility: hidden;
}
  
.flip-card-front {
    background-color: #bbb;
    color: black;
}
  
.flip-card-back {
    color: white;
    transform: rotateY(180deg);
    font-size:160%;
    width:300px;
    height:600px;
}

.flip-card-back a:link, a:visited{
    color:white;
}

.flip-card-back i:hover{
    color:rgb(10, 209, 10);
}

.flip-card-back i{
    position:relative;
    top:400px;
    left:10px;
    font-size:150%;
}

#brandon{
    background:url('../images/Brandon/brandontarotback.png');
    height:600px;
    width:300px;
}

#aaron{
    background:url('../images/Aaron/aarontarotback.png');
    height:600px;
    width:300px;
}

#danny{
    background:url('../images/Danny/dannytarotback.png');
    height:600px;
    width:300px;
}

#leo{
    background:url('../images/Leo/leotarotback.png');
    height:600px;
    width:300px;
}

#casper{
    background:url('../images/Casper/caspertarotback.png');
    height:600px;
    width:300px;
}

/*Price Section*/
#price-container{
    width:100%;
    height:auto;
    text-align:center;
    box-shadow:0 0 6px 6px rgb(10, 209, 10);
    overflow:hidden;
    padding-bottom: 25px;
}

#price-container h2{
    font-size:250%;
    margin-top: 20px;
    margin-bottom: 10px;
}

#price-container li{
    line-height:40px;
    font-size:150%;
}

/*Opening Times*/

#open-find-container{
    width: auto;
    height: auto;
    text-align:center;
    box-shadow:0 0 6px 6px rgb(10, 209, 10);
}

.open-find-content{
    width:50%;
    height:400px;
    float:left;
    height:450px;
    padding: 25px 0 0 0;
    overflow:hidden;
}

.open-find-content h2{
    font-size:250%;
}

.open-find-content > ul,li{
    list-style-type: none;
}

#opening-times-background{
    background-color:rgba(0, 0, 0, 0.8);
    width: auto;
    height:auto;
}

#open-position{
    padding-top: 50px;
    background:url('../images/neondemonlogo.jpg') center center no-repeat;
    background-size:contain;
    height:50%;
    width:50%;
    margin:25px 0;
    padding:25px 0;
}

#address-background{
    background-color: rgba(0, 0, 0, 0.6);
    width: 80%;
    height:auto;
    margin-top: 225px;
    margin: 0 auto;
    margin-top: 200px;
}

#address-background h3{
    font-size:150%;
    line-height:30px;
}

#find-image{
    background:url('../images/neondemonshop.jpg') no-repeat bottom;
    width:50%;
    height: auto;
    margin:25px 0;
    border-radius: 15%;
}

/*find us*/
#find-us-container{
    width:100%;
    height:fit-content;
    overflow:hidden;
    padding:25px 0;
    text-align:center;
    box-shadow:0 0 6px 6px rgb(10, 209, 10);
}

#find-us-map{
    margin:0 auto;
}

/*footer*/
#home-footer-container{
    width:100%;
    height:200px;
    box-shadow:0 0 6px 6px rgb(10, 209, 10, 0.7);
    color:black;
    overflow:hidden;
}

#home-footer-container h2{
    padding:10px;
    line-height: 30px;
}

#social-media-footer{
    width: auto;
    float: right;
    margin: 10px;
}

#social-media-footer a:link{
    color:white;
}

#social-media-footer a:visited{
    color:white;
}

#social-media-footer a:hover{
    color:rgb(10, 209, 10);
}

#footer-logo{
    width: 200px;
    height: 200px;
    float:left;
    margin-top: 10px;
}

#contact-us-footer{
    width: auto;
    margin: 10px 222px;
}

#contact-us-footer a:link{
    color:white;
    text-decoration:none;
}

#contact-us-footer i:hover{
    color:rgb(10, 209, 10);
}

#contact-us-footer a:visited{
    color:white;
}

#heading-footer{
    margin-top: 50px;
   
}

/*Media Queries index page*/
@media screen and (max-width:1516px){
    #banner{
    width: auto;
    height: fit-content;
    }

    #artist-box{
        margin: 40px;
    }

    #banner-image{
       margin:0;
       float:none;
       width: 100%;
       background-size: cover;
       padding-top: 40px;
    }

    #logo-container{
        float:none;
        margin:0 auto;
    }
}

@media screen and (max-width:1190px){
    #hero-contact{
        margin-top:200px;
    }

    .about-us{
        width:100%;
    }

    #artist-box{
        float: none;
        margin: 10px auto;
    }

    #find-image{
        background-size:contain;
    }
}

@media screen and (max-width:850px){
    #hero-contact{
        width:100%;
        margin-top: 310px;
    }

    #hero-image{
        background-size:cover;
    }

}

@media screen and (max-width:770px){
    .open-find-content{
        width:100%;
    }

    #open-position{
        width:100%;
    }

    #find-image{
        background-size:cover;
        width:100%;
        height:100%;
    }

    #home-footer-container{
        height:auto;
        font-size:12px;
    }

    #footer-logo{
        display:none;
    }

    #contact-us-footer{
        margin:0;
    }

    #social-media-footer{
        margin-top:0;
        overflow:hidden;
        float:left;
        margin-bottom: 25px;
        margin-right: 50px;
    }
}

@media screen and (max-width:650px){
    .link{
        font-size:20px;
    }
}

@media screen and (max-width: 575px){
    #banner-image{
        background-size:contain;
    }

    #nav-container{
        height:auto;
    }

    .link{
        width:30%;
        margin: 0 5px;
    }

    #merch-small,#gallery-small{
        width: 45%;
    }
}

@media screen and (max-width:470px){
    #hero-contact{
        margin-top:250px;
    }
} 

@media screen and (max-width:446px){
    #contact-us-footer{
        width: 100%;
        line-height: 15px;
        font-size: 15px;
    }
    #social-media-footer{
        padding: 5px 0 0 0;
        margin:0;
        margin-bottom: 15px;
        line-height: 10px;
        font-size: 15px;
        width: 100%;
    }

    #home-footer-container h2{
        padding:0;
    }

    #find-image{
        background-size:contain;
        height:auto;
    }
}

/*gallery page*/

/*general style*/
*{
    padding: 0px;
    margin:0;
    border:0;
}

h2,h3,h4,h5,h6{
    font-family: 'Sedgwick Ave', cursive;
    color:white;
}

#gallery-page{
    background-color:rgba(0, 0, 0, 1);
    color:white;
    justify-content: center;
}

/*aaron*/
#aaron-container{
    width:100%;
    height:600px;
    background:url('../images/Aaron/aaronprofile.jpg') center center no-repeat;
    background-size:cover;
    box-shadow: 0 0 6px 6px rgb(10, 209, 10);
    margin-top: 25px;
    font-size:250%;
    text-align:center;
}

